gnutls_x509_ext_import_basic_constraints(3)

NAME
gnutls_x509_ext_import_basic_constraints - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_basic_constraints(const gnutls_datum_t * ext, unsigned int * ca, int * pathlen);

ARGUMENTS

const gnutls_datum_t * ext
    the DER encoded extension data

unsigned int * ca
    will be non zero if the CA status is true

int * pathlen
    the path length constraint; will be set to -1 for no limit

DESCRIPTION
This function will return the CA status and path length constraint as written in the PKIX extension 2.5.29.19.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/